import request from '@/utils/request';

/**
 * 备课 - 教学课件
 */
export const lessonCoursewarePage = (params: any) => {
  return request.post('/edu-app/lessonCourseware/page', {
    data: params
  });
};

/**
 * 备课 - 教学课件详情
 */
export const lessonCoursewareDetail = (params: any) => {
  return request.get('/edu-app/lessonCourseware/detail/' + params.id, {
    params: params
  });
};

/**
 * 备课 - 教学课件删除
 */
export const lessonCoursewareRemove = (params: any) => {
  return request.post('/edu-app/lessonCourseware/remove', {
    requestType: 'form',
    data: params
  });
};

/**
 * 备课 - 课件列表
 */
export const queryCourseware = (params: any) => {
  return request.post('/edu-app/teacherKnowledgeMaterial/queryCourseware', {
    data: params
  });
};

/**
 * 备课 - 保存课件
 */
export const saveCourseware = (params: any) => {
  return request.post('/edu-app/teacherKnowledgeMaterial/saveCourseware', {
    data: params
  });
};
/**
 * 备课 - 删除课件
 */
export const teacherKnowledgeMaterialDelete = (params: any) => {
  return request.post('/edu-app/teacherKnowledgeMaterial/delete', {
    requestType: 'form',
    data: params
  });
};

/**
 * 备课 - 训练列表
 */
export const lessonPreTrainingPage = (params: any) => {
  return request.post('/edu-app/lessonPreTraining/page', {
    data: params
  });
};

/**
 * 备课 - 新增训练
 */
export const lessonPreTrainingAdd = (params: any) => {
  return request.post('/edu-app/lessonPreTraining/add', {
    data: params
  });
};

/**
 * 备课 - 修改训练
 */
export const lessonPreTrainingUpdate = (params: any) => {
  return request.post('/edu-app/lessonPreTraining/update', {
    data: params
  });
};

/**
 * 备课 - 删除训练
 */
export const lessonPreTrainingDelete = (params: any) => {
  return request.post('/edu-app/lessonPreTraining/delete', {
    data: params
  });
};

/**
 * 备课 - 保存预训练曲目
 */
export const lessonPreTrainingBatchSave = (params: any) => {
  return request.post('/edu-app/lessonPreTraining/batchSave', {
    data: params
  });
};

/**
 * 备课 - 乐谱列表
 */
export const musicSheetPage = (params: any) => {
  return request.post('/edu-app/musicSheet/page', {
    data: params
  });
};

/**
 * 备课 - 班级列表
 */
export const classGroupPage = (params: any) => {
  return request.post('/edu-app/classGroup/page', {
    data: params
  });
};

/**
 * 备课 - 布置作业
 */
export const lessonTrainingAdd = (params: any) => {
  return request.post('/edu-app/lessonTraining/add', {
    data: params
  });
};

/**
 * 备课 - 开始上课
 */
export const courseScheduleStart = (params: any) => {
  return request.post('/edu-app/courseSchedule/start', {
    data: params
  });
};

/**
 * 备课 - 音乐教材版本
 */
export const bookVersionPage = (params?: any) => {
  return request.post('/edu-app/bookVersion/page', {
    data: params
  });
};
/**
 * 备课 - 使用课件打标记
 */
export const tagUseCourseware = (params?: any) => {
  return request.post('/edu-app/teacherKnowledgeMaterial/tagUseCourseware', {
    requestType: 'form',
    data: params
  });
};
/**
 * 备课 - 更新上课记录
 */
export const courseScheduleUpdate = (params?: any) => {
  return request.post('/edu-app/courseSchedule/update', {
    data: params
  });
};
